Can't select Distant Horizons beta version in Iris Installer in any versions

So basically everything in title, check the screenshots, am i doing something wrong or didnt saw the news that i cant select this now?
No description
No description
No description
Solution:
You need to download the DH file seperatly now
Jump to solution
2 Replies
Solution
Camel
Camel2mo ago
You need to download the DH file seperatly now
Pawłon
Pawłon2mo ago
okay thanks